--AH:ScriptId=ca8a3c59-63ee-4cab-8092-4ec3ba203841;3049
ALTER TABLE [Executions]
	DROP CONSTRAINT [FK__Executions__Jobs]
ALTER TABLE [Executions]
	DROP CONSTRAINT [FK__Executions__Servers]
ALTER TABLE [Executions]
	DROP CONSTRAINT [CK__Executions__ExecutionMode_Code]

GO

CREATE TABLE [PlanExecutions]
(
	[Execution_Id] INT NOT NULL,
	[Job_Id] INT NULL,
	[Server_Id] INT NULL,
	[Simulation_Indicator] YNINDICATOR NOT NULL,
	[DriftDetected_Indicator] YNINDICATOR NOT NULL,

	CONSTRAINT [PK__PlanExecutions]
		PRIMARY KEY ([Execution_Id]),

	CONSTRAINT [FK__PlanExecutions__Executions]
		FOREIGN KEY ([Execution_Id])
		REFERENCES [Executions] ([Execution_Id])
		ON DELETE CASCADE,

	CONSTRAINT [FK__PlanExecutions__Jobs]
		FOREIGN KEY ([Job_Id])
		REFERENCES [Jobs] ([Job_Id])
		ON DELETE SET NULL,

	CONSTRAINT [FK__PlanExecutions__Servers]
		FOREIGN KEY ([Server_Id])
		REFERENCES [Servers] ([Server_Id])
		ON DELETE SET NULL
)

CREATE TABLE [ManualExecutions]
(
	[Execution_Id] INT NOT NULL,
	[ExecutionType_Name] VARCHAR(50) NOT NULL,
	[Execution_Configuration] XML NOT NULL,

	CONSTRAINT [PK__ManualExecutions]
		PRIMARY KEY ([Execution_Id]),

	CONSTRAINT [FK__ManualExecutions__Executions]
		FOREIGN KEY ([Execution_Id])
		REFERENCES [Executions] ([Execution_Id])
		ON DELETE CASCADE
)

GO

CREATE NONCLUSTERED INDEX [IX__ManualExecutions__ExecutionType_Name]
	ON [ManualExecutions] ([ExecutionType_Name])

GO

INSERT INTO [PlanExecutions]
(
	[Execution_Id],
	[Job_Id],
	[Server_Id],
	[Simulation_Indicator],
	[DriftDetected_Indicator]
)
SELECT [Execution_Id],
       [Job_Id],
	   [Server_Id],
	   [Simulation_Indicator],
	   [DriftDetected_Indicator]
  FROM [Executions]

GO

CREATE NONCLUSTERED INDEX [IX__PlanExecutions__Job_Id]
	ON [PlanExecutions] ([Job_Id])
	INCLUDE ([DriftDetected_Indicator])
CREATE NONCLUSTERED INDEX [IX__PlanExecutions__Server_Id]
	ON [PlanExecutions] ([Server_Id])
	INCLUDE ([DriftDetected_Indicator])

GO

ALTER TABLE [Executions]
	DROP COLUMN [Job_Id]
ALTER TABLE [Executions]
	DROP COLUMN [Server_Id]
ALTER TABLE [Executions]
	DROP COLUMN [Simulation_Indicator]
ALTER TABLE [Executions]
	DROP COLUMN [DriftDetected_Indicator]

GO

ALTER TABLE [Executions]
	ADD CONSTRAINT [CK__Executions__ExecutionMode_Code]
		CHECK ([ExecutionMode_Code] IN ('X', 'E', 'C', 'M'))
