IF OBJECT_ID('[LogMessages_Extended]') IS NOT NULL DROP VIEW [LogMessages_Extended]
GO

CREATE VIEW [LogMessages_Extended] AS
SELECT L.[LogMessage_Id]
      ,L.[Logged_Date]
      ,L.[Message_Text]
      ,L.[Category_Name]
      ,L.[Message_Level]
      ,L.[Details_Bytes]
      ,L.[ShowNotification_Indicator]
      
      ,L.[Server_Id]
      ,S.[Server_Name]

      ,L.[Job_Id]
      ,J.[Job_Name]

      ,L.[Environment_Id]
      ,E.[Environment_Name]

  FROM [LogMessages] L
       LEFT JOIN [Servers] S
              ON L.[Server_Id] = S.[Server_Id]       
       LEFT JOIN [Jobs] J
              ON L.[Job_Id] = J.[Job_Id]
       LEFT JOIN [Environments] E
              ON L.[Environment_Id] = E.[Environment_Id]

GO


