EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Configuration_SetValue',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Sets an Otter configuration value.'
GO


IF OBJECT_ID('[Configuration_SetValue]') IS NOT NULL DROP PROCEDURE [Configuration_SetValue]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Configuration_SetValue]
(
	@Key_Name VARCHAR(200),
	@Value_Text NVARCHAR(MAX)
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	IF EXISTS(SELECT *
	            FROM [Configuration]
				WITH (UPDLOCK)
			   WHERE [Key_Name] = @Key_Name)
	BEGIN

		UPDATE [Configuration]
		   SET [Value_Text] = COALESCE(@Value_Text, '')
		 WHERE [Key_Name] = @Key_Name

	END
	ELSE
	BEGIN

		INSERT INTO [Configuration]
		(
			[Key_Name],
			[Value_Text]
		)
		VALUES
		(
			@Key_Name,
			COALESCE(@Value_Text, '')
		)

	END

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH


END
GO

GRANT EXECUTE ON [Configuration_SetValue] TO [OtterUser_Role]
