EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'LogMessages_GetMessages',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'LogMessages_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the messages from the error log that match the specified criteria.'
GO

IF OBJECT_ID('[LogMessages_GetMessages]') IS NOT NULL DROP PROCEDURE [LogMessages_GetMessages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [LogMessages_GetMessages]
(
	@Row_Count INT,
	@Message_Level INT = NULL,
    @Category_Name VARCHAR(30) = NULL,
    @Job_Id INT = NULL,
    @Server_Id INT = NULL,
    @Environment_Id INT = NULL
) AS
BEGIN

    SET NOCOUNT ON

	IF @Row_Count IS NOT NULL
	    SET ROWCOUNT @Row_Count

    SELECT * FROM [LogMessages_Extended]
     WHERE (@Message_Level IS NULL OR [Message_Level] >= @Message_Level)
       AND (@Category_Name IS NULL OR [Category_Name] = @Category_Name)
       AND (@Job_Id IS NULL OR [Job_Id] = @Job_Id)
       AND (@Server_Id IS NULL OR [Server_Id] = @Server_Id)
       AND (@Environment_Id IS NULL OR [Environment_Id] = @Environment_Id)
     ORDER BY [Logged_Date] DESC

END
GO

GRANT EXECUTE ON [LogMessages_GetMessages] TO [OtterUser_Role]