EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Rafts_GetRaftItems',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'RaftItems_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified items in a database raft.'
GO


IF OBJECT_ID('[Rafts_GetRaftItems]') IS NOT NULL DROP PROCEDURE [Rafts_GetRaftItems]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Rafts_GetRaftItems]
(
    @Raft_Id INT,
	@RaftItemType_Code INT = NULL,
	@RaftItem_Name VARCHAR(200) = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [RaftItems_Extended]
     WHERE [Raft_Id] = @Raft_Id
	   AND ((@RaftItemType_Code IS NULL) OR ([RaftItemType_Code] = @RaftItemType_Code))
	   AND ((@RaftItem_Name IS NULL) OR ([RaftItem_Name] = @RaftItem_Name))
       AND [Active_Indicator] = 'Y'

END
GO

GRANT EXECUTE ON [Rafts_GetRaftItems] TO [OtterUser_Role]