EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Servers_GetServers',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Servers_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all the servers in the system.'
GO


IF OBJECT_ID('[Servers_GetServers]') IS NOT NULL DROP PROCEDURE [Servers_GetServers]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Servers_GetServers]
(
	@IncludeInactive_Indicator YNINDICATOR = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT S.* 
	  FROM [Servers_Extended] S
	 WHERE @IncludeInactive_Indicator = 'Y' OR [Active_Indicator] = 'Y'
	ORDER BY [Server_Name] 

END
GO

GRANT EXECUTE ON [Servers_GetServers] TO [OtterUser_Role]

